### Method

# Fwupd Client uninhibit

#### Declaration [src]

    gboolean
    fwupd_client_uninhibit (
      FwupdClient* self,
      const gchar* inhibit_id,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Removes the inhibit token added by the application.

Available since: | 1.8.11

#### Parameters

`inhibit_id` | `const gchar*`
| The inhibit ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.